This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

VPC

Overview

Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP.

This guide provides a brief description of VPC service and how to call API. The API is provided as a RESTful API, and it responds in JSON format.

Version

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionStatusNot Before
1.2CURRENT-
1.1SUPPORTED20261130
1.0DEPRECATED20251231

OpenAPI URL

https://vpc.{region}.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

1 - APIs

1.1 - Add VPC CIDR

1.1.1 - 1.2

post /v1/vpcs/{vpc_id}/cidrs

Description

Add VPC CIDR.

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathvpc_id
required
VPC Id
Example :
stringNone
bodybody
required

VpcCidrCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedVpcShowResponseV1Dot2
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/vpcs/{vpc_id}/cidrs

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.2"

Request body

{
    "cidr": "192.167.0.0/18"
}

Example HTTP response

Response 201

{
    "vpc": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "cidr_count": 20,
        "cidrs": [
            {
                "cidr": "192.167.0.0/18",
                "created_at": "2024-05-17T00:23:17Z",
                "created_by": "7df8abb4912e4709b1cb237daccca7a8",
                "id": "7df8abb4912e4709b1cb237daccca7a8"
            }
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "vpcDescription",
        "id": "7df8abb4912e4709b1cb237daccca7a8",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "vpcName",
        "state": "CREATING"
    }
}

1.2 - Approval VPC Peering

1.2.1 - 1.2

put /v1/vpc-peerings/{vpc_peering_id}/approval

Description

Approval VPC Peering.

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathvpc_peering_id
required
VPC Peering ID
Example : 023c57b14f11483689338d085e061492
stringNone
bodybody
required

VpcPeeringApprovalRequest

Responses

HTTP CodeDescriptionSchema
200OKVpcPeeringShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/vpc-peerings/{vpc_peering_id}/approval

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.2"

Request body

{
    "type": "CREATE_APPROVE"
}

Example HTTP response

Response 200

{
    "vpc_peering": {
        "account_type": "SAME",
        "approver_vpc_account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "approver_vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
        "approver_vpc_name": "vpcName",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "delete_requester_account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "description": "vpcPeering Description",
        "id": "023c57b14f11483689338d085e061492",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "vpcPeeringName",
        "requester_vpc_account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "requester_vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
        "requester_vpc_name": "vpcName",
        "state": "CREATING"
    }
}

1.2.2 - 1.1

put /v1/vpc-peerings/{vpc_peering_id}/approval

Description

Approval VPC Peering.

State ACTIVE (SUPPORTED)

VersionNot Before
1.120261130

Parameters

TypeNameDescriptionSchemaDefault
pathvpc_peering_id
required
VPC Peering ID
Example : 023c57b14f11483689338d085e061492
stringNone
bodybody
required

VpcPeeringApprovalRequest

Responses

HTTP CodeDescriptionSchema
200OKVpcPeeringShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/vpc-peerings/{vpc_peering_id}/approval

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "type": "CREATE_APPROVE"
}

Example HTTP response

Response 200

{
    "vpc_peering": {
        "account_type": "SAME",
        "approver_vpc_account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "approver_vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
        "approver_vpc_name": "vpcName",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "delete_requester_account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "description": "vpcPeering Description",
        "id": "023c57b14f11483689338d085e061492",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "vpcPeeringName",
        "requester_vpc_account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "requester_vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
        "requester_vpc_name": "vpcName",
        "state": "CREATING"
    }
}

1.3 - Approve PrivateLink Endpoint

1.3.1 - 1.2

put /v1/privatelink-endpoints/{privatelink_endpoint_id}/approval

Description

Approve PrivateLink Endpoint

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathprivatelink_endpoint_id
required
PrivateLink Endpoint ID
Example : bba6d4de3ad64e41b3a1b6c88983ec02
stringNone
bodybody
required

PrivateLinkEndpointApprovalRequest

Responses

HTTP CodeDescriptionSchema
200OKPrivateLinkEndpointSummaryShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/privatelink-endpoints/{privatelink_endpoint_id}/approval

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.2"

Request body

{
    "type": "APPROVE"
}

Example HTTP response

Response 200

{
    "privatelink_endpoint": {
        "created_at": "2024-06-16T02:55:13Z",
        "id": "bba6d4de3ad64e41b3a1b6c88983ec02",
        "state": "ACTIVE"
    }
}

1.3.2 - 1.1

put /v1/privatelink-endpoints/{privatelink_endpoint_id}/approval

Description

Approve PrivateLink Endpoint

State ACTIVE (SUPPORTED)

VersionNot Before
1.120261130

Parameters

TypeNameDescriptionSchemaDefault
pathprivatelink_endpoint_id
required
PrivateLink Endpoint ID
Example : bba6d4de3ad64e41b3a1b6c88983ec02
stringNone
bodybody
required

PrivateLinkEndpointApprovalRequest

Responses

HTTP CodeDescriptionSchema
200OKPrivateLinkEndpointSummaryShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/privatelink-endpoints/{privatelink_endpoint_id}/approval

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "type": "APPROVE"
}

Example HTTP response

Response 200

{
    "privatelink_endpoint": {
        "created_at": "2024-06-16T02:55:13Z",
        "id": "bba6d4de3ad64e41b3a1b6c88983ec02",
        "state": "ACTIVE"
    }
}

1.4 - Connect PrivateLink Endpoint

1.4.1 - 1.2

put /v1/privatelink-endpoints/{privatelink_endpoint_id}/connection

Description

Connect PrivateLink Endpoint

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathprivatelink_endpoint_id
required
PrivateLink Endpoint ID
Example : bba6d4de3ad64e41b3a1b6c88983ec02
stringNone
bodybody
required

PrivateLinkEndpointConnectionRequest

Responses

HTTP CodeDescriptionSchema
200OKPrivateLinkEndpointSummaryShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/privatelink-endpoints/{privatelink_endpoint_id}/connection

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.2"

Request body

{
    "type": "DISCONNECT"
}

Example HTTP response

Response 200

{
    "privatelink_endpoint": {
        "created_at": "2024-06-16T02:55:13Z",
        "id": "bba6d4de3ad64e41b3a1b6c88983ec02",
        "state": "ACTIVE"
    }
}

1.4.2 - 1.1

put /v1/privatelink-endpoints/{privatelink_endpoint_id}/connection

Description

Connect PrivateLink Endpoint

State ACTIVE (SUPPORTED)

VersionNot Before
1.120261130

Parameters

TypeNameDescriptionSchemaDefault
pathprivatelink_endpoint_id
required
PrivateLink Endpoint ID
Example : bba6d4de3ad64e41b3a1b6c88983ec02
stringNone
bodybody
required

PrivateLinkEndpointConnectionRequest

Responses

HTTP CodeDescriptionSchema
200OKPrivateLinkEndpointSummaryShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/privatelink-endpoints/{privatelink_endpoint_id}/connection

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "type": "DISCONNECT"
}

Example HTTP response

Response 200

{
    "privatelink_endpoint": {
        "created_at": "2024-06-16T02:55:13Z",
        "id": "bba6d4de3ad64e41b3a1b6c88983ec02",
        "state": "ACTIVE"
    }
}

1.5 - Connect Subnet VIP Port

1.5.1 - 1.2

post /v1/subnets/{subnet_id}/vips/{vip_id}/connected-ports

Description

Connect Subnet Vip Port

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathsubnet_id
required
Subnet ID
Example : 023c57b14f11483689338d085e061492
stringNone
pathvip_id
required
Subnet Vip Id
Example : 0466a9448d9a4411a86055939e451c8f
stringNone
bodybody
required

VipPortRequest

Responses

HTTP CodeDescriptionSchema
201CreatedVipPortResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/subnets/{subnet_id}/vips/{vip_id}/connected-ports

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.2"

Request body

{
    "port_id": "35268a9f2eda4cde83b1d85c1f61f67d"
}

Example HTTP response

Response 201

{
    "id": "35268a9f2eda4cde83b1d85c1f61f67d",
    "subnet_vip_id": "0466a9448d9a4411a86055939e451c8f"
}

1.6 - Create Internet Gateway

1.6.1 - 1.2

post /v1/internet-gateways

Description

Create Internet Gateway.

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

InternetGatewayCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedInternetGatewayShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/internet-gateways

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.2"

Request body

{
    "description": "Internet Gateway Description",
    "firewall_enabled": false,
    "firewall_loggable": false,
    "tags": [],
    "type": "IGW",
    "vpc_id": "7df8abb4912e4709b1cb237daccca7a8"
}

Example HTTP response

Response 202

{
    "internet_gateway": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "Internet Gateway Description",
        "firewall_id": "b156740b6335468d8354eb9ef8eddf5a",
        "id": "023c57b14f11483689338d085e061492",
        "loggable": false,
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "IGW_VPCname",
        "state": "CREATING",
        "type": "IGW",
        "vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
        "vpc_name": "vpcName"
    }
}

1.6.2 - 1.1

post /v1/internet-gateways

Description

Create Internet Gateway.

State ACTIVE (SUPPORTED)

VersionNot Before
1.120261130

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

InternetGatewayCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedInternetGatewayShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/internet-gateways

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "description": "Internet Gateway Description",
    "firewall_enabled": false,
    "firewall_loggable": false,
    "tags": [],
    "type": "IGW",
    "vpc_id": "7df8abb4912e4709b1cb237daccca7a8"
}

Example HTTP response

Response 202

{
    "internet_gateway": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "Internet Gateway Description",
        "firewall_id": "b156740b6335468d8354eb9ef8eddf5a",
        "id": "023c57b14f11483689338d085e061492",
        "loggable": false,
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "IGW_VPCname",
        "state": "CREATING",
        "type": "IGW",
        "vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
        "vpc_name": "vpcName"
    }
}

1.6.3 - 1.0

post /v1/internet-gateways

Description

Create Internet Gateway.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

InternetGatewayCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedInternetGatewayShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/internet-gateways

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "description": "Internet Gateway Description",
    "firewall_enabled": false,
    "firewall_loggable": false,
    "tags": [],
    "type": "IGW",
    "vpc_id": "7df8abb4912e4709b1cb237daccca7a8"
}

Example HTTP response

Response 202

{
    "internet_gateway": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "Internet Gateway Description",
        "firewall_id": "b156740b6335468d8354eb9ef8eddf5a",
        "id": "023c57b14f11483689338d085e061492",
        "loggable": false,
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "IGW_VPCname",
        "state": "CREATING",
        "type": "IGW",
        "vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
        "vpc_name": "vpcName"
    }
}

1.7 - Create NAT Gateway

1.7.1 - 1.2

post /v1/nat-gateways

Description

Create NAT Gateway.

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

NatGatewayCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedNatGatewayShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/nat-gateways

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.2"

Request body

{
    "description": "VpcEndpoint Description",
    "publicip_id": "12f56e27070248a6a240a497e43fbe18",
    "subnet_id": "023c57b14f11483689338d085e061492",
    "tags": "[{'key': 'key', 'value': 'value'}]"
}

Example HTTP response

Response 202

{
    "nat_gateway": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "VpcEndpoint Description",
        "id": "12f56e27070248a6a240a497e43fbe18",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "NatGatewayName",
        "nat_gateway_ip_address": "192.167.0.5",
        "publicip_id": "12f56e27070248a6a240a497e43fbe18",
        "state": "ACTIVE",
        "subnet_cidr": "192.167.1.0/24",
        "subnet_id": "023c57b14f11483689338d085e061492",
        "subnet_name": "subnetName",
        "vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
        "vpc_name": "vpcName"
    }
}

1.7.2 - 1.1

post /v1/nat-gateways

Description

Create NAT Gateway.

State ACTIVE (SUPPORTED)

VersionNot Before
1.120261130

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

NatGatewayCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedNatGatewayShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/nat-gateways

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "description": "VpcEndpoint Description",
    "publicip_id": "12f56e27070248a6a240a497e43fbe18",
    "subnet_id": "023c57b14f11483689338d085e061492",
    "tags": "[{'key': 'key', 'value': 'value'}]"
}

Example HTTP response

Response 202

{
    "nat_gateway": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "VpcEndpoint Description",
        "id": "12f56e27070248a6a240a497e43fbe18",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "NatGatewayName",
        "nat_gateway_ip_address": "192.167.0.5",
        "publicip_id": "12f56e27070248a6a240a497e43fbe18",
        "state": "ACTIVE",
        "subnet_cidr": "192.167.1.0/24",
        "subnet_id": "023c57b14f11483689338d085e061492",
        "subnet_name": "subnetName",
        "vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
        "vpc_name": "vpcName"
    }
}

1.7.3 - 1.0

post /v1/nat-gateways

Description

Create NAT Gateway.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

NatGatewayCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedNatGatewayShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/nat-gateways

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "description": "VpcEndpoint Description",
    "publicip_id": "12f56e27070248a6a240a497e43fbe18",
    "subnet_id": "023c57b14f11483689338d085e061492",
    "tags": "[{'key': 'key', 'value': 'value'}]"
}

Example HTTP response

Response 202

{
    "nat_gateway": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "VpcEndpoint Description",
        "id": "12f56e27070248a6a240a497e43fbe18",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "NatGatewayName",
        "nat_gateway_ip_address": "192.167.0.5",
        "publicip_id": "12f56e27070248a6a240a497e43fbe18",
        "state": "ACTIVE",
        "subnet_cidr": "192.167.1.0/24",
        "subnet_id": "023c57b14f11483689338d085e061492",
        "subnet_name": "subnetName",
        "vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
        "vpc_name": "vpcName"
    }
}

1.8 - Create Port

1.8.1 - 1.2

post /v1/ports

Description

Create port.

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PortCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedPortShowResponseV1Dot2
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/ports

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.2"

Request body

{
    "description": "Port Description",
    "fixed_ip_address": "",
    "name": "portName",
    "security_groups": [],
    "subnet_id": "",
    "tags": []
}

Example HTTP response

Response 201

{
    "port": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "attached_resource_id": "9387e8f51de04a03994de8a9c3524935",
        "attached_resource_type": "",
        "created_at": "2026-04-14T15:07:04.882Z",
        "description": "Port Description",
        "fixed_ip_address": "192.168.1.100",
        "id": "023c57b1-4f11-4836-8933-8d085e061492",
        "mac_address": "fa:16:3e:00:00:01",
        "modified_at": "2026-04-14T15:07:04.882Z",
        "name": "portName",
        "security_groups": [
            {
                "id": "02fb574c-f30f-40e1-9f43-4d1572dee5bd",
                "name": "sgName"
            }
        ],
        "state": "",
        "subnet_id": "023c57b14f11483689338d085e061492",
        "subnet_name": "subnetName",
        "virtual_ip_addresses": [
            ""
        ],
        "vpc_id": "071bc63b767444c9afaab1c972d302d5",
        "vpc_name": "vpcName"
    }
}

1.8.2 - 1.1

post /v1/ports

Description

Create port.

State ACTIVE (SUPPORTED)

VersionNot Before
1.120261130

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PortCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedPortShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/ports

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "description": "Port Description",
    "fixed_ip_address": "",
    "name": "portName",
    "security_groups": [],
    "subnet_id": "",
    "tags": []
}

Example HTTP response

Response 201

{
    "port": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "attached_resource_id": "9387e8f51de04a03994de8a9c3524935",
        "attached_resource_type": "",
        "created_at": "2026-04-14T15:07:03.191Z",
        "description": "Port Description",
        "fixed_ip_address": "192.168.1.100",
        "id": "023c57b1-4f11-4836-8933-8d085e061492",
        "mac_address": "fa:16:3e:00:00:01",
        "modified_at": "2026-04-14T15:07:03.191Z",
        "name": "portName",
        "security_groups": [
            {
                "id": "02fb574c-f30f-40e1-9f43-4d1572dee5bd",
                "name": "sgName"
            }
        ],
        "state": "",
        "subnet_id": "023c57b14f11483689338d085e061492",
        "subnet_name": "subnetName",
        "vpc_id": "071bc63b767444c9afaab1c972d302d5",
        "vpc_name": "vpcName"
    }
}

1.8.3 - 1.0

post /v1/ports

Description

Create port.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PortCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedPortShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/ports

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "description": "Port Description",
    "fixed_ip_address": "",
    "name": "portName",
    "security_groups": [],
    "subnet_id": "",
    "tags": []
}

Example HTTP response

Response 201

{
    "port": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "attached_resource_id": "9387e8f51de04a03994de8a9c3524935",
        "attached_resource_type": "",
        "created_at": "2026-04-14T15:07:01.815Z",
        "description": "Port Description",
        "fixed_ip_address": "192.168.1.100",
        "id": "023c57b1-4f11-4836-8933-8d085e061492",
        "mac_address": "fa:16:3e:00:00:01",
        "modified_at": "2026-04-14T15:07:01.815Z",
        "name": "portName",
        "security_groups": [
            {
                "id": "02fb574c-f30f-40e1-9f43-4d1572dee5bd",
                "name": "sgName"
            }
        ],
        "state": "",
        "subnet_id": "023c57b14f11483689338d085e061492",
        "subnet_name": "subnetName",
        "vpc_id": "071bc63b767444c9afaab1c972d302d5",
        "vpc_name": "vpcName"
    }
}

1.9 - Create Private NAT

1.9.1 - 1.2

post /v1/private-nats

Description

Create Private NAT.

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PrivateNatCreateRequestV1Dot2

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateNatShowResponseV1Dot2
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-nats

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.2"

Request body

{
    "cidr": "192.167.0.0/24",
    "description": "PrivateNat Description",
    "name": "PrivateNatName",
    "service_resource_id": "3f342bf9a557405b997c2cf48c89cbc2",
    "service_type": "DIRECT_CONNECT",
    "tags": "[{'key': 'key', 'value': 'value'}]"
}

Example HTTP response

Response 202

{
    "private_nat": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "cidr": "192.167.0.0/24",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "PrivateNat Description",
        "id": "12f56e27070248a6a240a497e43fbe18",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "PrivateNatName",
        "service_resource_id": "3f342bf9a557405b997c2cf48c89cbc2",
        "service_resource_name": "PrivateNatName",
        "service_type": "DIRECT_CONNECT",
        "state": "ACTIVE"
    }
}

1.9.2 - 1.1

post /v1/private-nats

Description

Create Private NAT.

State ACTIVE (SUPPORTED)

VersionNot Before
1.120261130

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PrivateNatCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateNatShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-nats

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "cidr": "192.167.0.0/24",
    "description": "PrivateNat Description",
    "direct_connect_id": "fe860e0af0c04dcd8182b84f907f31f4",
    "name": "PrivateNatName",
    "tags": "[{'key': 'key', 'value': 'value'}]"
}

Example HTTP response

Response 202

{
    "private_nat": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "cidr": "192.167.0.0/24",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "PrivateNat Description",
        "direct_connect_id": "fe860e0af0c04dcd8182b84f907f31f4",
        "direct_connect_name": "DirectConnectName",
        "id": "12f56e27070248a6a240a497e43fbe18",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "PrivateNatName",
        "state": "ACTIVE",
        "vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
        "vpc_name": "vpcName"
    }
}

1.9.3 - 1.0

post /v1/private-nats

Description

Create Private NAT.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PrivateNatCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateNatShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-nats

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "cidr": "192.167.0.0/24",
    "description": "PrivateNat Description",
    "direct_connect_id": "fe860e0af0c04dcd8182b84f907f31f4",
    "name": "PrivateNatName",
    "tags": "[{'key': 'key', 'value': 'value'}]"
}

Example HTTP response

Response 202

{
    "private_nat": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "cidr": "192.167.0.0/24",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "PrivateNat Description",
        "direct_connect_id": "fe860e0af0c04dcd8182b84f907f31f4",
        "direct_connect_name": "DirectConnectName",
        "id": "12f56e27070248a6a240a497e43fbe18",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "PrivateNatName",
        "state": "ACTIVE",
        "vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
        "vpc_name": "vpcName"
    }
}

1.10 - Create Private NAT IP

1.10.1 - 1.2

post /v1/private-nats/{private_nat_id}/private-nat-ips

Description

Create Private NAT IP.

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_nat_id
required
Private NAT ID
Example : 12f56e27070248a6a240a497e43fbe18
stringNone
bodybody
required

PrivateNatIpCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedPrivateNatIpShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-nats/{private_nat_id}/private-nat-ips

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.2"

Request body

{
    "ip_address": ""
}

Example HTTP response

Response 201

{
    "private_nat_ip": {
        "attached_resource_id": "",
        "attached_resource_name": "",
        "attached_resource_type": "VM",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "id": "",
        "ip_address": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "private_nat_id": "",
        "state": "RESERVED"
    }
}

1.10.2 - 1.1

post /v1/private-nats/{private_nat_id}/private-nat-ips

Description

Create Private NAT IP.

State ACTIVE (SUPPORTED)

VersionNot Before
1.120261130

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_nat_id
required
Private NAT ID
Example : 12f56e27070248a6a240a497e43fbe18
stringNone
bodybody
required

PrivateNatIpCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedPrivateNatIpShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-nats/{private_nat_id}/private-nat-ips

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "ip_address": ""
}

Example HTTP response

Response 201

{
    "private_nat_ip": {
        "attached_resource_id": "",
        "attached_resource_name": "",
        "attached_resource_type": "VM",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "id": "",
        "ip_address": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "private_nat_id": "",
        "state": "RESERVED"
    }
}

1.10.3 - 1.0

post /v1/private-nats/{private_nat_id}/private-nat-ips

Description

Create Private NAT IP.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_nat_id
required
Private NAT ID
Example : 12f56e27070248a6a240a497e43fbe18
stringNone
bodybody
required

PrivateNatIpCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedPrivateNatIpShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-nats/{private_nat_id}/private-nat-ips

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "ip_address": ""
}

Example HTTP response

Response 201

{
    "private_nat_ip": {
        "attached_resource_id": "",
        "attached_resource_name": "",
        "attached_resource_type": "VM",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "id": "",
        "ip_address": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "private_nat_id": "",
        "state": "RESERVED"
    }
}

1.11 - Create PrivateLink Endpoint

1.11.1 - 1.2

post /v1/privatelink-endpoints

Description

Create PrivateLink Endpoint.

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PrivateLinkEndpointCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateLinkEndpointShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/privatelink-endpoints

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.2"

Request body

{
    "description": "PrivateLink Endpoint Description",
    "endpoint_ip_address": "192.167.1.5",
    "name": "EndpointName",
    "privatelink_service_id": "e3df2e8e3b374fbb81d4e322b52ca50d",
    "security_group_ids": "['17776b52-0a64-440d-9e93-b4fc37be935b']",
    "subnet_id": "023c57b14f11483689338d085e061492",
    "tags": "[{'key': 'key', 'value': 'value'}]"
}

Example HTTP response

Response 202

{
    "privatelink_endpoint": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "approval_type": "AUTO",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "PrivateLink Endpoint Description",
        "endpoint_ip_address": "192.167.1.5",
        "endpoint_ip_port_id": "b44417b8-e5c5-4d44-a2ea-c8a8b23fbb6e",
        "id": "bba6d4de3ad64e41b3a1b6c88983ec02",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "EndpointName",
        "privatelink_service_id": "e3df2e8e3b374fbb81d4e322b52ca50d",
        "security_group_ids": "['17776b52-0a64-440d-9e93-b4fc37be935b']",
        "state": "ACTIVE",
        "subnet_id": "023c57b14f11483689338d085e061492",
        "vpc_id": "7df8abb4912e4709b1cb237daccca7a8"
    }
}

1.11.2 - 1.1

post /v1/privatelink-endpoints

Description

Create PrivateLink Endpoint.

State ACTIVE (SUPPORTED)

VersionNot Before
1.120261130

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PrivateLinkEndpointCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateLinkEndpointShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/privatelink-endpoints

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "description": "PrivateLink Endpoint Description",
    "endpoint_ip_address": "192.167.1.5",
    "name": "EndpointName",
    "privatelink_service_id": "e3df2e8e3b374fbb81d4e322b52ca50d",
    "security_group_ids": "['17776b52-0a64-440d-9e93-b4fc37be935b']",
    "subnet_id": "023c57b14f11483689338d085e061492",
    "tags": "[{'key': 'key', 'value': 'value'}]"
}

Example HTTP response

Response 202

{
    "privatelink_endpoint": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "approval_type": "AUTO",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "PrivateLink Endpoint Description",
        "endpoint_ip_address": "192.167.1.5",
        "endpoint_ip_port_id": "b44417b8-e5c5-4d44-a2ea-c8a8b23fbb6e",
        "id": "bba6d4de3ad64e41b3a1b6c88983ec02",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "EndpointName",
        "privatelink_service_id": "e3df2e8e3b374fbb81d4e322b52ca50d",
        "security_group_ids": "['17776b52-0a64-440d-9e93-b4fc37be935b']",
        "state": "ACTIVE",
        "subnet_id": "023c57b14f11483689338d085e061492",
        "vpc_id": "7df8abb4912e4709b1cb237daccca7a8"
    }
}

1.12 - Create PrivateLink Service

1.12.1 - 1.2

post /v1/privatelink-services

Description

Create PrivateLink Service.

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PrivateLinkServiceCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateLinkServiceShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/privatelink-services

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.2"

Request body

{
    "approval_type": "AUTO",
    "connected_resource_id": "a3e3a662a4f34442a94166df5ff9f577",
    "connected_resource_ip_address": "192.167.0.10",
    "connected_resource_type": "LB",
    "description": "PrivateLink Service Description",
    "high_speed_transfer": false,
    "name": "ServiceName",
    "security_group_ids": "['00b6af37-73b5-4de2-b080-c295a1a0382e']",
    "service_ip_address": "192.167.0.5",
    "subnet_id": "023c57b14f11483689338d085e061492",
    "tags": "[{'key': 'key', 'value': 'value'}]"
}

Example HTTP response

Response 202

{
    "privatelink_service": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "approval_type": "AUTO",
        "connected_resource_id": "a3e3a662a4f34442a94166df5ff9f577",
        "connected_resource_ip_address": "192.167.0.10",
        "connected_resource_name": "lbResourceName",
        "connected_resource_type": "LB",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "PrivateLink Service Description",
        "high_speed_transfer": false,
        "id": "e3df2e8e3b374fbb81d4e322b52ca50d",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "ServiceName",
        "security_group_ids": "['00b6af37-73b5-4de2-b080-c295a1a0382e']",
        "service_ip_address": "192.167.0.5",
        "service_ip_port_id": "d21a4b81-f52a-43a8-b985-341e763458bb",
        "state": "CREATING",
        "subnet_id": "023c57b14f11483689338d085e061492",
        "vpc_id": "7df8abb4912e4709b1cb237daccca7a8"
    }
}

1.12.2 - 1.1

post /v1/privatelink-services

Description

Create PrivateLink Service.

State ACTIVE (SUPPORTED)

VersionNot Before
1.120261130

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PrivateLinkServiceCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateLinkServiceShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/privatelink-services

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "approval_type": "AUTO",
    "connected_resource_id": "a3e3a662a4f34442a94166df5ff9f577",
    "connected_resource_ip_address": "192.167.0.10",
    "connected_resource_type": "LB",
    "description": "PrivateLink Service Description",
    "high_speed_transfer": false,
    "name": "ServiceName",
    "security_group_ids": "['00b6af37-73b5-4de2-b080-c295a1a0382e']",
    "service_ip_address": "192.167.0.5",
    "subnet_id": "023c57b14f11483689338d085e061492",
    "tags": "[{'key': 'key', 'value': 'value'}]"
}

Example HTTP response

Response 202

{
    "privatelink_service": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "approval_type": "AUTO",
        "connected_resource_id": "a3e3a662a4f34442a94166df5ff9f577",
        "connected_resource_ip_address": "192.167.0.10",
        "connected_resource_name": "lbResourceName",
        "connected_resource_type": "LB",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "PrivateLink Service Description",
        "high_speed_transfer": false,
        "id": "e3df2e8e3b374fbb81d4e322b52ca50d",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "ServiceName",
        "security_group_ids": "['00b6af37-73b5-4de2-b080-c295a1a0382e']",
        "service_ip_address": "192.167.0.5",
        "service_ip_port_id": "d21a4b81-f52a-43a8-b985-341e763458bb",
        "state": "CREATING",
        "subnet_id": "023c57b14f11483689338d085e061492",
        "vpc_id": "7df8abb4912e4709b1cb237daccca7a8"
    }
}

1.13 - Create PublicIP

1.13.1 - 1.2

post /v1/publicips

Description

Create PublicIP.

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PublicipCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedPublicipShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/publicips

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.2"

Request body

{
    "description": "Public IP Description",
    "tags": "[{'key': 'key', 'value': 'value'}]",
    "type": "IGW"
}

Example HTTP response

Response 201

{
    "publicip": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "attached_resource_id": "37e6db41f5124184a43251a63124cdc9",
        "attached_resource_name": "Attached NAT Gateway Name",
        "attached_resource_type": "NAT_GW",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "Public IP Description",
        "id": "12f56e27070248a6a240a497e43fbe18",
        "ip_address": "192.167.0.5",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "state": "ATTACHED",
        "type": "IGW"
    }
}

1.13.2 - 1.1

post /v1/publicips

Description

Create PublicIP.

State ACTIVE (SUPPORTED)

VersionNot Before
1.120261130

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PublicipCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedPublicipShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/publicips

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "description": "Public IP Description",
    "tags": "[{'key': 'key', 'value': 'value'}]",
    "type": "IGW"
}

Example HTTP response

Response 201

{
    "publicip": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "attached_resource_id": "37e6db41f5124184a43251a63124cdc9",
        "attached_resource_name": "Attached NAT Gateway Name",
        "attached_resource_type": "NAT_GW",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "Public IP Description",
        "id": "12f56e27070248a6a240a497e43fbe18",
        "ip_address": "192.167.0.5",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "state": "ATTACHED",
        "type": "IGW"
    }
}

1.13.3 - 1.0

post /v1/publicips

Description

Create PublicIP.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PublicipCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedPublicipShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/publicips

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "description": "Public IP Description",
    "tags": "[{'key': 'key', 'value': 'value'}]",
    "type": "IGW"
}

Example HTTP response

Response 201

{
    "publicip": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "attached_resource_id": "37e6db41f5124184a43251a63124cdc9",
        "attached_resource_name": "Attached NAT Gateway Name",
        "attached_resource_type": "NAT_GW",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "Public IP Description",
        "id": "12f56e27070248a6a240a497e43fbe18",
        "ip_address": "192.167.0.5",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "state": "ATTACHED",
        "type": "IGW"
    }
}

1.14 - Create Subnet

1.14.1 - 1.2

post /v1/subnets

Description

Create subnet.

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

SubnetCreateRequestV1Dot2

Responses

HTTP CodeDescriptionSchema
202AcceptedSubnetShowResponseV1Dot2
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/subnets

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.2"

Request body

{
    "allocation_pools": "[{\"start\":\"192.167.1.2\", \"end\":\"192.167.1.100\"}]",
    "cidr": "192.167.1.0/24",
    "description": "Subnet Description",
    "dns_nameservers": "[\"1.1.1.1\", \"2.2.2.2\"]",
    "gateway_ip_address": "192.167.1.1",
    "host_routes": "[{\"destination\":\"192.168.10.0/24\", \"nexthop\":\"192.168.10.0\"}]",
    "name": "subnetName",
    "tags": [],
    "type": "GENERAL",
    "vpc_id": "7df8abb4912e4709b1cb237daccca7a8"
}

Example HTTP response

Response 202

{
    "subnet": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "allocation_pools": [],
        "cidr": "192.167.1.0/24",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "Subnet Description",
        "dhcp_ip_address": "",
        "dns_nameservers": [],
        "gateway_ip_address": "192.167.1.1",
        "host_routes": [],
        "id": "023c57b14f11483689338d085e061492",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "subnetName",
        "state": "CREATING",
        "type": "GENERAL",
        "vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
        "vpc_name": "vpcName"
    }
}

1.14.2 - 1.1

post /v1/subnets

Description

Create subnet.

State ACTIVE (SUPPORTED)

VersionNot Before
1.120261130

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

SubnetCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedSubnetShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/subnets

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "allocation_pools": "[{\"start\":\"192.167.1.2\", \"end\":\"192.167.1.100\"}]",
    "cidr": "192.167.1.0/24",
    "description": "Subnet Description",
    "dns_nameservers": "[\"1.1.1.1\", \"2.2.2.2\"]",
    "host_routes": "[{\"destination\":\"192.168.10.0/24\", \"nexthop\":\"192.168.10.0\"}]",
    "name": "subnetName",
    "tags": [],
    "type": "GENERAL",
    "vpc_id": "7df8abb4912e4709b1cb237daccca7a8"
}

Example HTTP response

Response 202

{
    "subnet": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "allocation_pools": [],
        "cidr": "192.167.1.0/24",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "Subnet Description",
        "dns_nameservers": [],
        "gateway_ip_address": "192.167.1.1",
        "host_routes": [],
        "id": "023c57b14f11483689338d085e061492",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "subnetName",
        "state": "CREATING",
        "type": "GENERAL",
        "vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
        "vpc_name": "vpcName"
    }
}

1.14.3 - 1.0

post /v1/subnets

Description

Create subnet.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

SubnetCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedSubnetShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/subnets

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "allocation_pools": "[{\"start\":\"192.167.1.2\", \"end\":\"192.167.1.100\"}]",
    "cidr": "192.167.1.0/24",
    "description": "Subnet Description",
    "dns_nameservers": "[\"1.1.1.1\", \"2.2.2.2\"]",
    "host_routes": "[{\"destination\":\"192.168.10.0/24\", \"nexthop\":\"192.168.10.0\"}]",
    "name": "subnetName",
    "tags": [],
    "type": "GENERAL",
    "vpc_id": "7df8abb4912e4709b1cb237daccca7a8"
}

Example HTTP response

Response 202

{
    "subnet": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "allocation_pools": [],
        "cidr": "192.167.1.0/24",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "Subnet Description",
        "dns_nameservers": [],
        "gateway_ip_address": "192.167.1.1",
        "host_routes": [],
        "id": "023c57b14f11483689338d085e061492",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "subnetName",
        "state": "CREATING",
        "type": "GENERAL",
        "vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
        "vpc_name": "vpcName"
    }
}

1.15 - Create Subnet VIP

1.15.1 - 1.2

post /v1/subnets/{subnet_id}/vips

Description

Create Subnet Vip

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathsubnet_id
required
Subnet Id
Example : 023c57b14f11483689338d085e061492
stringNone
bodybody
required

VipCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedVipCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/subnets/{subnet_id}/vips

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.2"

Request body

{
    "description": "Subnet VIP Description",
    "virtual_ip_address": "192.168.20.6"
}

Example HTTP response

Response 201

{
    "subnet_vip": {
        "connected_ports": [
            {
                "attached_resource_id": "9387e8f51de04a03994de8a9c3524935",
                "attached_resource_type": "Virtual Server",
                "id": "13e2a5a1acbe4713a9a2c70ce226e822",
                "port_id": "8b4705d3-43b7-4fad-8648-a5a1a90c31d0",
                "port_ip_address": "192.168.20.5",
                "port_name": "Port name"
            }
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "Subnet VIP Description",
        "id": "0466a9448d9a4411a86055939e451c8f",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "state": "ACTIVE",
        "static_nat": {
            "external_ip_address": "100.112.9.84",
            "id": "0009e49548154745948e9722adefbf40",
            "publicip_id": "12f56e27070248a6a240a497e43fbe18",
            "state": "ACTIVE"
        },
        "subnet_id": "023c57b14f11483689338d085e061492",
        "vip_port_id": "35268a9f2eda4cde83b1d85c1f61f67d",
        "virtual_ip_address": "192.168.20.6"
    }
}

1.16 - Create Subnet VIP NAT IP

1.16.1 - 1.2

post /v1/subnets/{subnet_id}/vips/{vip_id}/static-nat-ips

Description

Create Subnet Vip Nat Ip

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathsubnet_id
required
Subnet ID
Example : 023c57b14f11483689338d085e061492
stringNone
pathvip_id
required
Subnet Vip Id
Example : 0466a9448d9a4411a86055939e451c8f
stringNone
bodybody
required

VipNatCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVipNatCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/subnets/{subnet_id}/vips/{vip_id}/static-nat-ips

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.2"

Request body

{
    "nat_type": "PUBLIC",
    "publicip_id": "12f56e27070248a6a240a497e43fbe18"
}

Example HTTP response

Response 202

{
    "id": "0009e49548154745948e9722adefbf40",
    "publicip_id": "12f56e27070248a6a240a497e43fbe18",
    "state": "ACTIVE"
}

1.17 - Create Transit Gateway

1.17.1 - 1.2

post /v1/transit-gateways

Description

Create Transit Gateway.

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

TransitGatewayCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedTransitGatewayShowResponseV1Dot2
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/transit-gateways

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.2"

Request body

{
    "description": "TransitGateway Description",
    "name": "TransitGatewayName",
    "tags": "[{'key': 'key', 'value': 'value'}]"
}

Example HTTP response

Response 202

{
    "transit_gateway": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "bandwidth": 1,
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "TransitGateway Description",
        "firewall_connection_state": "INACTIVE",
        "firewall_ids": "['bbb93aca123f4bb2b2c0f206f4a86b2b']",
        "id": "fe860e0af0c04dcd8182b84f907f31f4",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "TransitGatewayName",
        "state": "ACTIVE",
        "uplink_enabled": "False"
    }
}

1.17.2 - 1.1

post /v1/transit-gateways

Description

Create Transit Gateway.

State ACTIVE (SUPPORTED)

VersionNot Before
1.120261130

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

TransitGatewayCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedTransitGatewayShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/transit-gateways

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "description": "TransitGateway Description",
    "name": "TransitGatewayName",
    "tags": "[{'key': 'key', 'value': 'value'}]"
}

Example HTTP response

Response 202

{
    "transit_gateway": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "bandwidth": 1,
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "TransitGateway Description",
        "firewall_ids": "['bbb93aca123f4bb2b2c0f206f4a86b2b']",
        "id": "fe860e0af0c04dcd8182b84f907f31f4",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "TransitGatewayName",
        "state": "ACTIVE",
        "uplink_enabled": "False"
    }
}

1.17.3 - 1.0

post /v1/transit-gateways

Description

Create Transit Gateway.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

TransitGatewayCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedTransitGatewayShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/transit-gateways

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "description": "TransitGateway Description",
    "name": "TransitGatewayName",
    "tags": "[{'key': 'key', 'value': 'value'}]"
}

Example HTTP response

Response 202

{
    "transit_gateway": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "bandwidth": 1,
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "TransitGateway Description",
        "firewall_ids": "['bbb93aca123f4bb2b2c0f206f4a86b2b']",
        "id": "fe860e0af0c04dcd8182b84f907f31f4",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "TransitGatewayName",
        "state": "ACTIVE",
        "uplink_enabled": "False"
    }
}

1.18 - Create Transit Gateway Firewall

1.18.1 - 1.2

post /v1/transit-gateways/{transit_gateway_id}/firewalls

Description

Create Transit Gateway Firewall.

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathtransit_gateway_id
required
Transit Gateway ID
Example : fe860e0af0c04dcd8182b84f907f31f4
stringNone
bodybody
required

TransitGatewayFirewallCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedTransitGatewayShowResponseV1Dot2
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/transit-gateways/{transit_gateway_id}/firewalls

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.2"

Request body

{
    "product_type": "TGW_DGW"
}

Example HTTP response

Response 201

{
    "transit_gateway": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "bandwidth": 1,
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "TransitGateway Description",
        "firewall_connection_state": "INACTIVE",
        "firewall_ids": "['bbb93aca123f4bb2b2c0f206f4a86b2b']",
        "id": "fe860e0af0c04dcd8182b84f907f31f4",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "TransitGatewayName",
        "state": "ACTIVE",
        "uplink_enabled": "False"
    }
}

1.19 - Create Transit Gateway Firewall Connection

1.19.1 - 1.2

post /v1/transit-gateways/{transit_gateway_id}/firewall-connections

Description

Create Transit Gateway Firewall Connection.

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathtransit_gateway_id
required
Transit Gateway ID
Example : fe860e0af0c04dcd8182b84f907f31f4
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedTransitGatewayShowResponseV1Dot2
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/transit-gateways/{transit_gateway_id}/firewall-connections

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.2"

Example HTTP response

Response 202

{
    "transit_gateway": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "bandwidth": 1,
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "TransitGateway Description",
        "firewall_connection_state": "INACTIVE",
        "firewall_ids": "['bbb93aca123f4bb2b2c0f206f4a86b2b']",
        "id": "fe860e0af0c04dcd8182b84f907f31f4",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "TransitGatewayName",
        "state": "ACTIVE",
        "uplink_enabled": "False"
    }
}

1.20 - Create Transit Gateway Rule

1.20.1 - 1.2

post /v1/transit-gateways/{transit_gateway_id}/routing-rules

Description

Create Transit Gateway Rule.

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathtransit_gateway_id
required
Transit Gateway ID
Example : fe860e0af0c04dcd8182b84f907f31f4
stringNone
bodybody
required

TransitGatewayRuleCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedTransitGatewayRuleShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/transit-gateways/{transit_gateway_id}/routing-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.2"

Request body

{
    "description": "Routing Rule Description",
    "destination_cidr": "192.167.5.0/24",
    "destination_type": "VPC",
    "tgw_connection_vpc_id": "ffeced8e191c478eabd66b6e2cab8e34"
}

Example HTTP response

Response 202

{
    "transit_gateway_rule": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "description": "Routing Rule Description",
        "destination_cidr": "192.167.5.0/24",
        "destination_resource_id": "ceb44ea5ecb34a49b16495f9a63b0718",
        "destination_resource_name": "VpcName",
        "destination_type": "VPC",
        "id": "43772aff4539403d9ba74bf1fdaa00c8",
        "source_resource_id": "8582cc5d89994a42ad53282fd4a8d8be",
        "source_resource_name": "TgwName",
        "source_type": "TGW",
        "state": "ACTIVE",
        "tgw_connection_vpc_id": "ffeced8e191c478eabd66b6e2cab8e34",
        "tgw_connection_vpc_name": "ConnectedVpcName"
    }
}

1.20.2 - 1.1

post /v1/transit-gateways/{transit_gateway_id}/routing-rules

Description

Create Transit Gateway Rule.

State ACTIVE (SUPPORTED)

VersionNot Before
1.120261130

Parameters

TypeNameDescriptionSchemaDefault
pathtransit_gateway_id
required
Transit Gateway ID
Example : fe860e0af0c04dcd8182b84f907f31f4
stringNone
bodybody
required

TransitGatewayRuleCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedTransitGatewayRuleShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/transit-gateways/{transit_gateway_id}/routing-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "description": "Routing Rule Description",
    "destination_cidr": "192.167.5.0/24",
    "destination_type": "VPC",
    "tgw_connection_vpc_id": "ffeced8e191c478eabd66b6e2cab8e34"
}

Example HTTP response

Response 202

{
    "transit_gateway_rule": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "description": "Routing Rule Description",
        "destination_cidr": "192.167.5.0/24",
        "destination_resource_id": "ceb44ea5ecb34a49b16495f9a63b0718",
        "destination_resource_name": "VpcName",
        "destination_type": "VPC",
        "id": "43772aff4539403d9ba74bf1fdaa00c8",
        "source_resource_id": "8582cc5d89994a42ad53282fd4a8d8be",
        "source_resource_name": "TgwName",
        "source_type": "TGW",
        "state": "ACTIVE",
        "tgw_connection_vpc_id": "ffeced8e191c478eabd66b6e2cab8e34",
        "tgw_connection_vpc_name": "ConnectedVpcName"
    }
}

1.20.3 - 1.0

post /v1/transit-gateways/{transit_gateway_id}/routing-rules

Description

Create Transit Gateway Rule.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathtransit_gateway_id
required
Transit Gateway ID
Example : fe860e0af0c04dcd8182b84f907f31f4
stringNone
bodybody
required

TransitGatewayRuleCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedTransitGatewayRuleShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/transit-gateways/{transit_gateway_id}/routing-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "description": "Routing Rule Description",
    "destination_cidr": "192.167.5.0/24",
    "destination_type": "VPC",
    "tgw_connection_vpc_id": "ffeced8e191c478eabd66b6e2cab8e34"
}

Example HTTP response

Response 202

{
    "transit_gateway_rule": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "description": "Routing Rule Description",
        "destination_cidr": "192.167.5.0/24",
        "destination_resource_id": "ceb44ea5ecb34a49b16495f9a63b0718",
        "destination_resource_name": "VpcName",
        "destination_type": "VPC",
        "id": "43772aff4539403d9ba74bf1fdaa00c8",
        "source_resource_id": "8582cc5d89994a42ad53282fd4a8d8be",
        "source_resource_name": "TgwName",
        "source_type": "TGW",
        "state": "ACTIVE",
        "tgw_connection_vpc_id": "ffeced8e191c478eabd66b6e2cab8e34",
        "tgw_connection_vpc_name": "ConnectedVpcName"
    }
}

1.21 - Create Transit Gateway Uplink Rule

1.21.1 - 1.2

post /v1/transit-gateways/{transit_gateway_id}/uplink-routing-rules

Description

Create Transit Gateway Uplink Rule.

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathtransit_gateway_id
required
Transit Gateway ID
Example : fe860e0af0c04dcd8182b84f907f31f4
stringNone
bodybody
required

TransitGatewayUplinkRuleCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedTransitGatewayUplinkRuleCreateResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/transit-gateways/{transit_gateway_id}/uplink-routing-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.2"

Request body

{
    "description": "Routing Rule Description",
    "destination_cidr": "192.167.5.0/24",
    "destination_type": "ON_PREMISE"
}

Example HTTP response

Response 202

{
    "transit_gateway_rule": {
        "description": "Routing Rule Description",
        "destination_cidr": "192.167.5.0/24",
        "destination_type": "ON_PREMISE",
        "id": "43772aff4539403d9ba74bf1fdaa00c8",
        "state": "ACTIVE"
    }
}

1.21.2 - 1.1

post /v1/transit-gateways/{transit_gateway_id}/uplink-routing-rules

Description

Create Transit Gateway Uplink Rule.

State ACTIVE (SUPPORTED)

VersionNot Before
1.120261130

Parameters

TypeNameDescriptionSchemaDefault
pathtransit_gateway_id
required
Transit Gateway ID
Example : fe860e0af0c04dcd8182b84f907f31f4
stringNone
bodybody
required

TransitGatewayUplinkRuleCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedTransitGatewayUplinkRuleCreateResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/transit-gateways/{transit_gateway_id}/uplink-routing-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "description": "Routing Rule Description",
    "destination_cidr": "192.167.5.0/24",
    "destination_type": "ON_PREMISE"
}

Example HTTP response

Response 202

{
    "transit_gateway_rule": {
        "description": "Routing Rule Description",
        "destination_cidr": "192.167.5.0/24",
        "destination_type": "ON_PREMISE",
        "id": "43772aff4539403d9ba74bf1fdaa00c8",
        "state": "ACTIVE"
    }
}

1.21.3 - 1.0

post /v1/transit-gateways/{transit_gateway_id}/uplink-routing-rules

Description

Create Transit Gateway Uplink Rule.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathtransit_gateway_id
required
Transit Gateway ID
Example : fe860e0af0c04dcd8182b84f907f31f4
stringNone
bodybody
required

TransitGatewayUplinkRuleCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedTransitGatewayUplinkRuleCreateResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/transit-gateways/{transit_gateway_id}/uplink-routing-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "description": "Routing Rule Description",
    "destination_cidr": "192.167.5.0/24",
    "destination_type": "ON_PREMISE"
}

Example HTTP response

Response 202

{
    "transit_gateway_rule": {
        "description": "Routing Rule Description",
        "destination_cidr": "192.167.5.0/24",
        "destination_type": "ON_PREMISE",
        "id": "43772aff4539403d9ba74bf1fdaa00c8",
        "state": "ACTIVE"
    }
}

1.22 - Create Transit Gateway VPC Connection

1.22.1 - 1.2

post /v1/transit-gateways/{transit_gateway_id}/vpc-connections

Description

Create Transit Gateway VPC Connection.

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathtransit_gateway_id
required
Transit Gateway ID
Example : fe860e0af0c04dcd8182b84f907f31f4
stringNone
bodybody
required

TransitGatewayVpcConnectionCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedTransitGatewayVpcConnectionShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/transit-gateways/{transit_gateway_id}/vpc-connections

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.2"

Request body

{
    "vpc_id": "7df8abb4912e4709b1cb237daccca7a8"
}

Example HTTP response

Response 202

{
    "transit_gateway_vpc_connection": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "id": "ffeced8e191c478eabd66b6e2cab8e34",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "state": "ACTIVE",
        "transit_gateway_id": "fe860e0af0c04dcd8182b84f907f31f4",
        "vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
        "vpc_name": "vpcName"
    }
}

1.22.2 - 1.1

post /v1/transit-gateways/{transit_gateway_id}/vpc-connections

Description

Create Transit Gateway VPC Connection.

State ACTIVE (SUPPORTED)

VersionNot Before
1.120261130

Parameters

TypeNameDescriptionSchemaDefault
pathtransit_gateway_id
required
Transit Gateway ID
Example : fe860e0af0c04dcd8182b84f907f31f4
stringNone
bodybody
required

TransitGatewayVpcConnectionCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedTransitGatewayVpcConnectionShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/transit-gateways/{transit_gateway_id}/vpc-connections

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "vpc_id": "7df8abb4912e4709b1cb237daccca7a8"
}

Example HTTP response

Response 202

{
    "transit_gateway_vpc_connection": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "id": "ffeced8e191c478eabd66b6e2cab8e34",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "state": "ACTIVE",
        "transit_gateway_id": "fe860e0af0c04dcd8182b84f907f31f4",
        "vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
        "vpc_name": "vpcName"
    }
}

1.22.3 - 1.0

post /v1/transit-gateways/{transit_gateway_id}/vpc-connections

Description

Create Transit Gateway VPC Connection.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathtransit_gateway_id
required
Transit Gateway ID
Example : fe860e0af0c04dcd8182b84f907f31f4
stringNone
bodybody
required

TransitGatewayVpcConnectionCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedTransitGatewayVpcConnectionShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/transit-gateways/{transit_gateway_id}/vpc-connections

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "vpc_id": "7df8abb4912e4709b1cb237daccca7a8"
}

Example HTTP response

Response 202

{
    "transit_gateway_vpc_connection": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "id": "ffeced8e191c478eabd66b6e2cab8e34",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "state": "ACTIVE",
        "transit_gateway_id": "fe860e0af0c04dcd8182b84f907f31f4",
        "vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
        "vpc_name": "vpcName"
    }
}

1.23 - Create VPC

1.23.1 - 1.2

post /v1/vpcs

Description

Create VPC.

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

VpcCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedVpcShowResponseV1Dot2
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/vpcs

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.2"

Request body

{
    "cidr": "192.167.0.0/18",
    "description": "VPC Description",
    "name": "vpcName",
    "tags": []
}

Example HTTP response

Response 201

{
    "vpc": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "cidr_count": 20,
        "cidrs": [
            {
                "cidr": "192.167.0.0/18",
                "created_at": "2024-05-17T00:23:17Z",
                "created_by": "7df8abb4912e4709b1cb237daccca7a8",
                "id": "7df8abb4912e4709b1cb237daccca7a8"
            }
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "vpcDescription",
        "id": "7df8abb4912e4709b1cb237daccca7a8",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "vpcName",
        "state": "CREATING"
    }
}

1.23.2 - 1.1

post /v1/vpcs

Description

Create VPC.

State ACTIVE (SUPPORTED)

VersionNot Before
1.120261130

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

VpcCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedVpcShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/vpcs

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "cidr": "192.167.0.0/18",
    "description": "VPC Description",
    "name": "vpcName",
    "tags": []
}

Example HTTP response

Response 201

{
    "vpc": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "cidr": "192.167.0.0/18",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "vpcDescription",
        "id": "7df8abb4912e4709b1cb237daccca7a8",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "vpcName",
        "state": "CREATING"
    }
}

1.23.3 - 1.0

post /v1/vpcs

Description

Create VPC.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

VpcCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedVpcShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/vpcs

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "cidr": "192.167.0.0/18",
    "description": "VPC Description",
    "name": "vpcName",
    "tags": []
}

Example HTTP response

Response 201

{
    "vpc": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "cidr": "192.167.0.0/18",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "vpcDescription",
        "id": "7df8abb4912e4709b1cb237daccca7a8",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "vpcName",
        "state": "CREATING"
    }
}

1.24 - Create VPC Endpoint

1.24.1 - 1.2

post /v1/vpc-endpoints

Description

Create VPC Endpoint.

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

VpcEndpointCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVpcEndpointShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/vpc-endpoints

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.2"

Request body

{
    "description": "VpcEndpoint Description",
    "endpoint_ip_address": "192.167.0.5",
    "name": "VpcEndpointName",
    "resource_info": "x.samsungsdscloud.com(Registry)",
    "resource_key": "07c5364702384471b650147321b52173",
    "resource_type": "FS",
    "subnet_id": "023c57b14f11483689338d085e061492",
    "tags": "[{'key': 'key', 'value': 'value'}]",
    "vpc_id": "7df8abb4912e4709b1cb237daccca7a8"
}

Example HTTP response

Response 202

{
    "vpc_endpoint": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "VpcEndpoint Description",
        "endpoint_ip_address": "192.167.0.5",
        "id": "12f56e27070248a6a240a497e43fbe18",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "VpcEndpointName",
        "resource_info": "x.samsungsdscloud.com(Registry)",
        "resource_key": "07c5364702384471b650147321b52173",
        "resource_type": "FS",
        "state": "ACTIVE",
        "subnet_id": "023c57b14f11483689338d085e061492",
        "subnet_name": "subnetName",
        "vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
        "vpc_name": "vpcName"
    }
}

1.24.2 - 1.1

post /v1/vpc-endpoints

Description

Create VPC Endpoint.

State ACTIVE (SUPPORTED)

VersionNot Before
1.120261130

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

VpcEndpointCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVpcEndpointShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/vpc-endpoints

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "description": "VpcEndpoint Description",
    "endpoint_ip_address": "192.167.0.5",
    "name": "VpcEndpointName",
    "resource_info": "x.samsungsdscloud.com(Registry)",
    "resource_key": "07c5364702384471b650147321b52173",
    "resource_type": "FS",
    "subnet_id": "023c57b14f11483689338d085e061492",
    "tags": "[{'key': 'key', 'value': 'value'}]",
    "vpc_id": "7df8abb4912e4709b1cb237daccca7a8"
}

Example HTTP response

Response 202

{
    "vpc_endpoint": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "VpcEndpoint Description",
        "endpoint_ip_address": "192.167.0.5",
        "id": "12f56e27070248a6a240a497e43fbe18",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "VpcEndpointName",
        "resource_info": "x.samsungsdscloud.com(Registry)",
        "resource_key": "07c5364702384471b650147321b52173",
        "resource_type": "FS",
        "state": "ACTIVE",
        "subnet_id": "023c57b14f11483689338d085e061492",
        "subnet_name": "subnetName",
        "vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
        "vpc_name": "vpcName"
    }
}

1.24.3 - 1.0

post /v1/vpc-endpoints

Description

Create VPC Endpoint.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

VpcEndpointCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVpcEndpointShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/vpc-endpoints

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "description": "VpcEndpoint Description",
    "endpoint_ip_address": "192.167.0.5",
    "name": "VpcEndpointName",
    "resource_info": "x.samsungsdscloud.com(Registry)",
    "resource_key": "07c5364702384471b650147321b52173",
    "resource_type": "FS",
    "subnet_id": "023c57b14f11483689338d085e061492",
    "tags": "[{'key': 'key', 'value': 'value'}]",
    "vpc_id": "7df8abb4912e4709b1cb237daccca7a8"
}

Example HTTP response

Response 202

{
    "vpc_endpoint": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "VpcEndpoint Description",
        "endpoint_ip_address": "192.167.0.5",
        "id": "12f56e27070248a6a240a497e43fbe18",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "VpcEndpointName",
        "resource_info": "x.samsungsdscloud.com(Registry)",
        "resource_key": "07c5364702384471b650147321b52173",
        "resource_type": "FS",
        "state": "ACTIVE",
        "subnet_id": "023c57b14f11483689338d085e061492",
        "subnet_name": "subnetName",
        "vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
        "vpc_name": "vpcName"
    }
}

1.25 - Create VPC Peering

1.25.1 - 1.2

post /v1/vpc-peerings

Description

Create VPC Peering.

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

VpcPeeringCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVpcPeeringShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/vpc-peerings

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.2"

Request body

{
    "approver_vpc_account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
    "approver_vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
    "description": "vpcPeering Description",
    "name": "vpcPeeringName",
    "requester_vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
    "tags": []
}

Example HTTP response

Response 202

{
    "vpc_peering": {
        "account_type": "SAME",
        "approver_vpc_account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "approver_vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
        "approver_vpc_name": "vpcName",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "delete_requester_account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "description": "vpcPeering Description",
        "id": "023c57b14f11483689338d085e061492",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "vpcPeeringName",
        "requester_vpc_account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "requester_vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
        "requester_vpc_name": "vpcName",
        "state": "CREATING"
    }
}

1.25.2 - 1.1

post /v1/vpc-peerings

Description

Create VPC Peering.

State ACTIVE (SUPPORTED)

VersionNot Before
1.120261130

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

VpcPeeringCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVpcPeeringShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/vpc-peerings

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "approver_vpc_account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
    "approver_vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
    "description": "vpcPeering Description",
    "name": "vpcPeeringName",
    "requester_vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
    "tags": []
}

Example HTTP response

Response 202

{
    "vpc_peering": {
        "account_type": "SAME",
        "approver_vpc_account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "approver_vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
        "approver_vpc_name": "vpcName",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "delete_requester_account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "description": "vpcPeering Description",
        "id": "023c57b14f11483689338d085e061492",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "vpcPeeringName",
        "requester_vpc_account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "requester_vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
        "requester_vpc_name": "vpcName",
        "state": "CREATING"
    }
}

1.25.3 - 1.0

post /v1/vpc-peerings

Description

Create VPC Peering.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

VpcPeeringCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVpcPeeringShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/vpc-peerings

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "approver_vpc_account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
    "approver_vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
    "description": "vpcPeering Description",
    "name": "vpcPeeringName",
    "requester_vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
    "tags": []
}

Example HTTP response

Response 202

{
    "vpc_peering": {
        "account_type": "SAME",
        "approver_vpc_account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "approver_vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
        "approver_vpc_name": "vpcName",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "delete_requester_account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "description": "vpcPeering Description",
        "id": "023c57b14f11483689338d085e061492",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "vpcPeeringName",
        "requester_vpc_account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "requester_vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
        "requester_vpc_name": "vpcName",
        "state": "CREATING"
    }
}

1.26 - Create Vpc Peering Rule

1.26.1 - 1.2

post /v1/vpc-peerings/{vpc_peering_id}/routing-rules

Description

Create a VPC Peering Rule.

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathvpc_peering_id
required
VPC Peering ID
Example : 023c57b14f11483689338d085e061492
stringNone
bodybody
required

VpcPeeringRuleCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVpcPeeringRuleShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/vpc-peerings/{vpc_peering_id}/routing-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.2"

Request body

{
    "destination_cidr": "",
    "destination_vpc_type": "REQUESTER_VPC",
    "tags": []
}

Example HTTP response

Response 202

{
    "vpc_peering_rule": {
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "destination_cidr": "",
        "destination_vpc_id": "",
        "destination_vpc_name": "",
        "destination_vpc_type": "REQUESTER_VPC",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "source_vpc_id": "",
        "source_vpc_name": "",
        "source_vpc_type": "REQUESTER_VPC",
        "state": "CREATING",
        "vpc_peering_id": ""
    }
}

1.26.2 - 1.1

post /v1/vpc-peerings/{vpc_peering_id}/routing-rules

Description

Create a VPC Peering Rule.

State ACTIVE (SUPPORTED)

VersionNot Before
1.120261130

Parameters

TypeNameDescriptionSchemaDefault
pathvpc_peering_id
required
VPC Peering ID
Example : 023c57b14f11483689338d085e061492
stringNone
bodybody
required

VpcPeeringRuleCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVpcPeeringRuleShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/vpc-peerings/{vpc_peering_id}/routing-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "destination_cidr": "",
    "destination_vpc_type": "REQUESTER_VPC",
    "tags": []
}

Example HTTP response

Response 202

{
    "vpc_peering_rule": {
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "destination_cidr": "",
        "destination_vpc_id": "",
        "destination_vpc_name": "",
        "destination_vpc_type": "REQUESTER_VPC",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "source_vpc_id": "",
        "source_vpc_name": "",
        "source_vpc_type": "REQUESTER_VPC",
        "state": "CREATING",
        "vpc_peering_id": ""
    }
}

1.26.3 - 1.0

post /v1/vpc-peerings/{vpc_peering_id}/routing-rules

Description

Create a VPC Peering Rule.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathvpc_peering_id
required
VPC Peering ID
Example : 023c57b14f11483689338d085e061492
stringNone
bodybody
required

VpcPeeringRuleCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVpcPeeringRuleShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/vpc-peerings/{vpc_peering_id}/routing-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "destination_cidr": "",
    "destination_vpc_type": "REQUESTER_VPC",
    "tags": []
}

Example HTTP response

Response 202

{
    "vpc_peering_rule": {
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "destination_cidr": "",
        "destination_vpc_id": "",
        "destination_vpc_name": "",
        "destination_vpc_type": "REQUESTER_VPC",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "source_vpc_id": "",
        "source_vpc_name": "",
        "source_vpc_type": "REQUESTER_VPC",
        "state": "CREATING",
        "vpc_peering_id": ""
    }
}

1.27 - Delete Internet Gateway

1.27.1 - 1.2

delete /v1/internet-gateways/{internet_gateway_id}

Description

Delete Internet Gateway.

[...]
